
From: Nikita Danilov <nikita@clusterfs.com>

ll_merge_requests_fn() assigns total_{phys,hw}_segments twice.  Fix this
and a typo.

Signed-off-by: Nikita Danilov <nikita@clusterfs.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/ll_rw_blk.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/block/ll_rw_blk.c~ll_merge_requests_fn-cleanup drivers/block/ll_rw_blk.c
--- 25/drivers/block/ll_rw_blk.c~ll_merge_requests_fn-cleanup	2005-05-31 02:51:28.000000000 -0700
+++ 25-akpm/drivers/block/ll_rw_blk.c	2005-05-31 02:51:28.000000000 -0700
@@ -1345,8 +1345,8 @@ static int ll_front_merge_fn(request_que
 static int ll_merge_requests_fn(request_queue_t *q, struct request *req,
 				struct request *next)
 {
-	int total_phys_segments = req->nr_phys_segments +next->nr_phys_segments;
-	int total_hw_segments = req->nr_hw_segments + next->nr_hw_segments;
+	int total_phys_segments;
+	int total_hw_segments;
 
 	/*
 	 * First check if the either of the requests are re-queued
@@ -1356,7 +1356,7 @@ static int ll_merge_requests_fn(request_
 		return 0;
 
 	/*
-	 * Will it become to large?
+	 * Will it become too large?
 	 */
 	if ((req->nr_sectors + next->nr_sectors) > q->max_sectors)
 		return 0;
_
